summaryrefslogtreecommitdiff
path: root/libs/ode-0.16.1/tools/src-release.sh
diff options
context:
space:
mode:
authorsanine <sanine.not@pm.me>2022-10-01 20:59:36 -0500
committersanine <sanine.not@pm.me>2022-10-01 20:59:36 -0500
commitc5fc66ee58f2c60f2d226868bb1cf5b91badaf53 (patch)
tree277dd280daf10bf77013236b8edfa5f88708c7e0 /libs/ode-0.16.1/tools/src-release.sh
parent1cf9cc3408af7008451f9133fb95af66a9697d15 (diff)
add ode
Diffstat (limited to 'libs/ode-0.16.1/tools/src-release.sh')
-rw-r--r--libs/ode-0.16.1/tools/src-release.sh117
1 files changed, 117 insertions, 0 deletions
diff --git a/libs/ode-0.16.1/tools/src-release.sh b/libs/ode-0.16.1/tools/src-release.sh
new file mode 100644
index 0000000..c3c62d9
--- /dev/null
+++ b/libs/ode-0.16.1/tools/src-release.sh
@@ -0,0 +1,117 @@
+#!/bin/sh
+###################################################################
+# ODE Source Code Release Script
+# Originally written by Jason Perkins (starkos@gmail.com)
+#
+# See README.txt in this directory for complete release
+# instructions before running this script.
+#
+# Prerequisites:
+# Command-line svn installed on path
+# Command-line zip installed on path
+# Command-line doxygen installed on path
+# Autotools support installed
+# Run from a Posix-like shell (Linux, OS X, Cygwin)
+###################################################################
+
+# Check arguments
+if [ $# -ne 1 ]; then
+ echo 1>&2 "Usage: $0 version_number"
+ exit 1
+fi
+
+
+###################################################################
+# Pre-build checklist
+###################################################################
+
+echo ""
+echo "STARTING PREBUILD CHECKLIST, PRESS ^C TO ABORT."
+echo ""
+echo "Is the version number '$1' correct?"
+read line
+echo ""
+echo "Have you created a release branch named '$1' in SVN?"
+read line
+echo ""
+echo Are 'svn', 'zip', and 'doxygen' on the path?
+read line
+echo ""
+echo "Okay, ready to build the source code package for version $1!"
+read line
+
+
+###################################################################
+# Retrieve source code
+###################################################################
+
+echo ""
+echo "RETRIEVING SOURCE CODE FROM REPOSITORY..."
+echo ""
+
+svn export https://opende.svn.sourceforge.net/svnroot/opende/branches/$1 ode-$1
+
+
+###################################################################
+# Prepare source code
+###################################################################
+
+echo ""
+echo "PREPARING SOURCE TREE..."
+echo ""
+
+cd ode-$1
+chmod 755 autogen.sh
+./autogen.sh
+rm -rf autom4te.cache
+
+cp build/config-default.h include/ode/config.h
+
+cd ode/doc
+doxygen
+
+cd ../../..
+
+
+###################################################################
+# Package source code
+###################################################################
+
+echo ""
+echo "PACKAGING SOURCE CODE..."
+echo ""
+
+zip -r9 ode-src-$1.zip ode-$1/*
+
+
+###################################################################
+# Clean up
+###################################################################
+
+echo ""
+echo "CLEANING UP..."
+echo ""
+
+rm -rf ode-$1
+
+
+#####################################################################
+# Send the files to SourceForge
+#####################################################################
+
+echo ""
+echo "Upload packages to SourceForge?"
+read line
+if [ $line = "y" ]; then
+ echo "Uploading to SourceForge..."
+
+ echo "user anonymous starkos" > ftp.txt
+ echo "cd incoming" >> ftp.txt
+ echo "bin" >> ftp.txt
+ echo "put ode-src-$1.zip" >> ftp.txt
+ echo "quit" >> ftp.txt
+
+ ftp -n upload.sourceforge.net < ftp.txt
+
+ rm -f ftp.txt
+fi